# Class JavaAppletLaunchShortcut

java.lang.Object
org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchShortcut
org.eclipse.jdt.debug.ui.launchConfigurations.JavaAppletLaunchShortcut

All Implemented Interfaces:
  `org.eclipse.debug.ui.ILaunchShortcut, org.eclipse.debug.ui.ILaunchShortcut2`

public class JavaAppletLaunchShortcut extends JavaLaunchShortcut
Launch shortcut for Java applets.

This class may be instantiated or subclassed.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`JavaAppletLaunchShortcut()`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.debug.core.ILaunchConfiguration`
`createConfiguration(IType type)`
Creates and returns a new configuration based on the specified type.
`protected IType[]`
`findTypes(Object[] elements, org.eclipse.jface.operation.IRunnableContext context)`
Finds and returns the types in the given collection of elements that can be launched.
`protected org.eclipse.debug.core.ILaunchConfigurationType`
`getConfigurationType()`
Returns the type of configuration this shortcut is applicable to.
`protected String`
`getEditorEmptyMessage()`
Returns an error message to use when the editor does not contain a type that can be launched.
`protected String`
`getSelectionEmptyMessage()`
Returns an error message to use when the selection does not contain a type that can be launched.
`protected String`
`getTypeSelectionTitle()`
Returns a title for a type selection dialog used to prompt the user when there is more than one type that can be launched.

### Methods inherited from class JavaLaunchShortcut

`chooseConfiguration, chooseType, findLaunchConfiguration, getLaunchableResource, getLaunchableResource, getLaunchConfigurations, getLaunchConfigurations, getShell, launch, launch, launch`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaAppletLaunchShortcut

public JavaAppletLaunchShortcut()

## Method Details

### createConfiguration

protected org.eclipse.debug.core.ILaunchConfiguration createConfiguration(IType type)
Description copied from class: `JavaLaunchShortcut`
Creates and returns a new configuration based on the specified type.

Specified by:
  `createConfiguration` in class `JavaLaunchShortcut`
Parameters:
  `type` - type to create a launch configuration for
Returns:
  launch configuration configured to launch the specified type

### getConfigurationType

protected org.eclipse.debug.core.ILaunchConfigurationType getConfigurationType()
Description copied from class: `JavaLaunchShortcut`
Returns the type of configuration this shortcut is applicable to.

Specified by:
  `getConfigurationType` in class `JavaLaunchShortcut`
Returns:
  the type of configuration this shortcut is applicable to

### findTypes

protected IType[] findTypes(Object[] elements, org.eclipse.jface.operation.IRunnableContext context) throws InterruptedException, org.eclipse.core.runtime.CoreException
Description copied from class: `JavaLaunchShortcut`
Finds and returns the types in the given collection of elements that can be launched.

Specified by:
  `findTypes` in class `JavaLaunchShortcut`
Parameters:
  `elements` - scope to search for types that can be launched
  `context` - progress reporting context
Returns:
  collection of types that can be launched, possibly empty
Throws:
  `InterruptedException` - if the search is canceled
  `org.eclipse.core.runtime.CoreException` - if the search fails

### getTypeSelectionTitle

protected String getTypeSelectionTitle()
Description copied from class: `JavaLaunchShortcut`
Returns a title for a type selection dialog used to prompt the user when there is more than one type that can be launched.

Specified by:
  `getTypeSelectionTitle` in class `JavaLaunchShortcut`
Returns:
  type selection dialog title

### getEditorEmptyMessage

protected String getEditorEmptyMessage()
Description copied from class: `JavaLaunchShortcut`
Returns an error message to use when the editor does not contain a type that can be launched.

Specified by:
  `getEditorEmptyMessage` in class `JavaLaunchShortcut`
Returns:
  error message when editor cannot be launched

### getSelectionEmptyMessage

protected String getSelectionEmptyMessage()
Description copied from class: `JavaLaunchShortcut`
Returns an error message to use when the selection does not contain a type that can be launched.

Specified by:
  `getSelectionEmptyMessage` in class `JavaLaunchShortcut`
Returns:
  error message when selection cannot be launched